# Contract Details

GET /partner/v3/shops/:shopUuid/rental/products/:productCode/contracts/:contractUuid

Once the contract UUID has been retrieved via the GET /pos-sessions request, the e-shop can check the status of the contract using the GET /partner/v3/shops/:shopUuid/contracts/:contractUuid request. The response will include the status parameter. If the status is activated, the rental agreement is active, then all required steps are completed.

Endpoint: GET /partner/v3/shops/{shopUuid}/rental/products/{productCode}/contracts/{contractUuid}
Security: bearerAuth

## Path parameters:

  - `shopUuid` (string, required)
    Example: "a93f1f44-d5dd-4469-bfcc-c1de9e969213"

  - `productCode` (string, required)
    Example: "example_code"

  - `contractUuid` (string, required)
    Example: "788ec8c4-c497-470b-8505-2303f151d427"

## Response 200 fields (application/json):

  - `status` (string)
    Contract status.

  - `uuid` (string)
    Contract UUID.

  - `referenceNumber` (string)
    Contract reference number.

  - `activatedAt` (string)
    Contract activated at.

  - `activatorName` (string)
    Contract activator name.

  - `productCode` (string)
    Product code.

  - `partnerApprovalAt` (string)
    Partner approval at.

  - `customerUuid` (string)
    Contract customer UUID.

  - `details` (object)

  - `details.grossTradeInAmount` (number)
    Trade-in amount with VAT.

  - `details.grossCampaignDiscount` (number)
    Campaign discount with VAT.

  - `details.totalNetPriceWithDiscount` (number)
    Total price without VAT and with discount applied.

  - `details.totalGrossPriceWithDiscount` (number)
    Total price with VAT and discount applied.

  - `details.totalNetPrice` (number)
    Total price without VAT.

  - `details.totalGrossPrice` (number)
    Total price with VAT.

  - `details.insuranceUsed` (boolean)
    Indicates if insurance is used for rental.

  - `details.rentalSchedule` (object)

  - `details.rentalSchedule.grossMonthlyPayment` (number)
    Monthly payment with VAT.

  - `details.rentalSchedule.vat` (number)
    VAT amount for the monthly payment.

  - `details.rentalSchedule.netMonthlyPayment` (number)
    Monthly payment without VAT.

  - `details.rentalSchedule.period` (number)
    Period of rental contract.

  - `details.assets` (array)
    Assets included in the rental plan.

  - `details.assets.[0]` (object)

  - `details.assets.[0].categoryType` (string)
    Asset category type. Possible values are ASSET and ADD_ON.

  - `details.assets.[0].modelName` (string)
    Asset model name.

  - `details.assets.[0].status` (string)
    Asset status.

  - `details.assets.[0].categoryCode` (string)
    Code of asset category.

  - `details.assets.[0].categoryName` (string)
    Name of asset category.

  - `details.assets.[0].netPrice` (number)
    Price of asset without VAT.

  - `details.assets.[0].grossPrice` (number)
    Price of asset with VAT.

  - `details.assets.[0].vat` (number)
    VAT amount for the asset.

  - `details.assets.[0].identifier` (string)
    Asset identifier value.

  - `details.assets.[0].identifierType` (string)
    Asset identifier type. Possible values are IMEI and SERIAL_NUMBER.

  - `details.assets.[0].modelId` (string)
    Asset model uuid.

  - `details.assets.[0].type` (string)
    Type of asset. Possible values are MODEL_BASED and CATEGORY_BASED.

## Response 401 fields (application/json):

  - `message` (string)
    Unauthorized
    Example: "unauthorized"

## Response 403 fields (application/json):

  - `message` (string)
    Unauthorized access
    Example: "User is not authorized to access this resource with an explicit deny"

## Response 404 fields (application/json):

  - `message` (string)
    Not Found
    Example: "not_found"

## Response 500 fields (application/json):

  - `message` (string)
    Internal server error
    Example: "internal_server_error"


